<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
ini_set("mbstring.internal_encoding", "UTF-8");
ini_set('mbstring.http_output', 'UTF-8');
if(!is_file(realpath(dirname( __FILE__))."/installcnf.php")) {
	header("location:install/index.php");
}
require_once ('installcnf.php');

define('LIB_PATH', BASE_PATH.'/lib');
define('MODEL_PATH', BASE_PATH.'/app/model');

require_once (LIB_PATH.'/Controller.php');
require_once (LIB_PATH.'/DataBase.php');
require_once (LIB_PATH.'/View.php');
require_once (LIB_PATH.'/Session.php');
require_once (LIB_PATH.'/Model.php');

require_once ('DB.php');
require_once ('DB/storage.php');
require_once ('Pager/Pager.php');
require_once ('HTTP/Upload.php');
require_once ('HTML/QuickForm/select.php');
require_once ('HTML/QuickForm/checkbox.php');
require_once ('HTML/QuickForm/radio.php');
require_once ('HTML/QuickForm.php');
require_once ('HTML/QuickForm/Renderer/ArraySmarty.php');

require_once (LIB_PATH.'/common/Validate.php');
require_once (LIB_PATH.'/common/Pager.php');
require_once (LIB_PATH.'/common/File.php');
require_once (LIB_PATH.'/common/sitebaseDB.php');
$sitebase = New sitebaseDB();
$sitebase->initSite();

/*-----共通定数------*/
define("UNIT_PAGER_LIMIT", 7);
define('AD_PAGER_LIMIT',20); //管理画面レコード表示件数

//管理画面：権限名称
$admin_type_name = array("0"=>"担当者","1"=>"管理者");
//画像アップロード最大サイズ
define('MAX_FILE_SIZE', '5000000'); //5MB
//ユーザ画像アップロードディテクトリ名
define('IMG_UP_DIR', '/global-image');
//画像のフルパス（トップ画像、バナー類）
define('PIC_PATH', BASE_PATH.IMG_UP_DIR);
//管理ユーザ画像 幅pixcel
define('USR_PROF_IMG_PATH',IMG_UP_DIR.'/usr-prof/'); ///global-image/usrprof/(musr_code)/日付.jpg
define('USR_PROF_IMG_W',160);
//一覧用文章画像
define('PIDX_IMG_PATH', IMG_UP_DIR.'/page/');
//ヘッダーで登録する画像
define('HEADER_IMG_PATH', IMG_UP_DIR.'/header/');
//一覧用画像サイズ
define ('PIDX_IMG_W', 300);
define ('PIDX_IMG_H', 200);

//ユニットで登録する画像の保存先
define('UNITS_IMG_PATH', IMG_UP_DIR.'/units/img/');
//ユニットで登録するswfの保存先
define('UNITS_SWF_PATH', IMG_UP_DIR.'/units/swf/');
//ユニットで登録するflvの保存先
define('UNITS_FLV_PATH', IMG_UP_DIR.'/units/flv/');
//ユニットで登録するタイトルイメージの保存先
define('UNITS_TTLIMG_PATH', IMG_UP_DIR.'/units/ttlimg/');
//ユニットで登録するpdf,その他ファイルの保存先
define('UNITS_UPFILES_PATH', IMG_UP_DIR.'/units/upfiles/');

//ユニットマスタ：ユニット種別
$m_unit_type = array(1=>'コンテナユニット',
					2=>'デザインユニット',
					3=>'機能ユニット',
					4=>'拡張デザインユニット',
					5=>'拡張機能ユニット',
					6=>'モジュール専用ユニット');
					
//ユニット内テキストエリアに対するエディター
$unit_editor_type = array(0=>'利用しない',1=>'tinyMCE',2=>'yuieditor');

//ユニットプログラム一式格納ディレクトリ
define('UNITS_DIR', '/usr-data/units');
define('UNITS_PATH', BASE_PATH.UNITS_DIR);

//コンテナユニットtpl格納場所
define('PAGEC_PATH',UNITS_PATH.'/container/');
//テンプレート格納ディレクトリ
define('TEMPLATE_DIR', '/usr-data/template');
define('TEMPLATE_PATH',BASE_PATH.TEMPLATE_DIR);
define('TEMPLATE_WORKPATH',BASE_PATH.'/usr-data/_template_tmp');
//ページ表示エラー時のtplファイル
define('ERR404TPL',BASE_PATH.'/app/view/pc/404.tpl');



//2008.11.07 v1.2
//システムモジュール格納先
define('MODULES_DIR', "/usr-data/modules");
define('MODULES_PATH', BASE_PATH.MODULES_DIR);
define('MODULES_WORKPATH',BASE_PATH.'/usr-data/_module_tmp');

define('EXT_UNITS_DIR', '/usr-data/extunits');
define('EXT_UNITS_PATH', BASE_PATH.EXT_UNITS_DIR);
define('EXT_UNITS_WORKPATH',BASE_PATH.'/usr-data/_module_tmp');

//ユニットキャッシュ格納ディレクトリ
define('CACHE_DIR', '/_cache');
define('CACHE_PATH', BASE_PATH.CACHE_DIR);
define('UNITS_CACHE_DIR', CACHE_DIR.'/items');
define('UNITS_CACHE_PATH', BASE_PATH.UNITS_CACHE_DIR);
?>